Page MenuHomePhabricator

cext: add .pyi files for C extensions
ClosedPublic

Authored by indygreg on Nov 7 2020, 8:23 PM.

Details

Summary

I'm unsure if all the annotations are completely accurate. But having
these helps type checkers reason about our C extensions.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

indygreg created this revision.Nov 7 2020, 8:23 PM
Alphare requested changes to this revision.Nov 13 2020, 4:59 AM
Alphare added a subscriber: Alphare.

Thanks for this.

One minor mistake I could find. If it's fixed, I implicitly accept the revision.

mercurial/cext/osutil.pyi
19

st is bool, not stat

This revision now requires changes to proceed.Nov 13 2020, 4:59 AM
pulkit accepted this revision.Dec 4 2020, 1:56 PM
pulkit added a subscriber: pulkit.
pulkit added inline comments.
mercurial/cext/osutil.pyi
19

Agreed, will fix this in flight.

This revision was not accepted when it landed; it landed in state Needs Revision.
This revision was automatically updated to reflect the committed changes.